<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout/layout}">
<head>
    <title>>Lista de Clientes</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link href="../../../resources/css/bootstrap.min.css" rel="stylesheet" media="screen" th:href="@{/resources/css/bootstrap.min.css}"/>
    <link href="../../../resources/css/core.css" rel="stylesheet" media="screen" th:href="@{/resources/css/core.css}"/>
    <script src="../../../resources/js/jquery-3.1.1.js" th:src="@{/resources/js/jquery-3.1.1.js}"></script>
    <script src="../../../resources/js/bootstrap.min.js" th:src="@{/resources/js/bootstrap.min.js}"></script>
</head>
<body>

<!--/* Content of this page will be decorated by the elements of layout.html (task/layout) */-->
<div layout:fragment="content">

    <!--/* Demonstrating layout:include */-->

    <div layout:insert="~{layout/alert :: alert}" th:with="type='info', header='Info'" th:remove="tag">
        <!--/* Implements alert content fragment with simple content */-->
        <th:block layout:fragment="alert-content">
            <p><em>LISTADO DE TODOS LOS CLIENTES!</em></p>
        </th:block>
    </div>

    <div layout:insert="~{layout/alert :: alert}" th:with="type='danger', header='Oh snap! You got an error!'" th:remove="tag">
        <!--/* Implements alert content fragment with full-blown HTML content */-->
        <th:block layout:fragment="alert-content">
            <p>ESTA ES UNA APP QUE DEFINE LA FORMA EN LA QUE SE TIENE QUE BRINDAR ACCESO A LAS PERSONAS.</p>
<!--             <p> -->
<!--                 <button type="button" class="btn btn-danger">Eliminar todo</button> -->
<!--                 <button type="button" class="btn btn-default">Archivar</button> -->
<!--             </p> -->
        </th:block>
    </div>

    <table class="table table-bordered table-striped">
        <thead>
        <tr>
            <td>Acciones</td>
            <td>Nombre</td>
            <td>CI/RUC</td>
            <td>Telefono</td>
            <td>Contacto</td>
            <td>Fecha Creacion</td>
            <td>Activo</td>
        </tr>
        </thead>
        <tbody>
        <tr th:if="${listaClientes.empty}">
            <td colspan="4">No hay clientes que mostrar</td>
        </tr>
        <tr th:each="x, rowStat : ${listaClientes}">
            <td align="center" width="20%">
				<button type="button" class="btn btn-primary"
					name="edit" title="Editar Cliente"
					th:value="${rowStat.index}" th:onclick="'editar(\'' + ${x.idCliente} + '\')'"
					data-th-alt="Editar" th:if="${x.correo == null}">
					<span class="glyphicon glyphicon-edit"></span> 
				</button>
				<button type="submit" class="btn btn-info" 
					name="view" title="Visualizar Cliente"
					th:value="${rowStat.index}" 
					th:onclick="'showEditModal(\'' + ${x.idCliente} + '\', \'' + ${x.nombre} + '\',
					\'' + ${x.ciRuc} + '\', \'' + ${x.telefono} + '\',
					\'' + ${x.contacto} + '\', \'' + ${x.fechaCreacion} + '\', 
					\'' + ${x.activo} + '\')'"
					data-toggle="modal" data-target="#editClienteModal" data-th-alt="Ver">
					<span class="glyphicon glyphicon-eye-open"></span> 
				</button>
				<button type="button" class="btn btn-danger"
					name="delete" title="Eliminar Cliente"
					th:value="${rowStat.index}" 
					th:onclick="'eliminar(\'' + ${x.idCliente} + '\')'"
					data-th-alt="Eliminar" th:if="${x.correo == null}">
					<span class="glyphicon glyphicon-trash"></span> 
				</button>
			</td>
			<td th:text="${x.nombre}"></td>
			<td th:text="${x.ciRuc}"></td>
			<td th:text="${x.telefono}"></td>
			<td th:text="${x.contacto}"></td>
<!-- 			<td th:text="${x.fechaCreacion}"></td> -->
            <td th:text="${#calendars.format(x.fechaCreacion)}">July 11, 2017 2:17:16 PM CDT</td>
			<td th:text="${x.activo}"></td>
           	
<!--             <td> -->
<!--                 <a href="#" th:href="@{/task-ld/{id}(id=${task.id})}" th:text="${task.title}">Title ...</a> -->
<!--             </td> -->
           
        </tr>
        </tbody>
    </table>
</div>
</body>
</html>